WPSOLEParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
WPSOLEParserInternal::State Struct Reference

Internal: the state of a WPSOLEParser. More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, std::function< int(std::string const &)> const &dirToIdFunc)
| constructor

## Public Attributes
libwps_tools_win::Font::Type | m_fontType
| the default font type
std::function< int(std::string const &)> | m_directoryToIdFunction
| the function used to convert a directory name in a id
librevenge::RVNGPropertyList | m_metaData
| the meta data
std::vector< std::string > | m_unknownOLEs
| list of ole which can not be parsed
std::map< int, WPSEmbeddedObject > | m_idToObjectMap
| map id to object
std::shared_ptr< WPSOLEParserInternal::CompObj > | m_compObjIdName
| a smart ptr used to stored the list of compobj id->name

## Detailed Description

Internal: the state of a WPSOLEParser.

## Constructor & Destructor Documentation

## ◆ State()

WPSOLEParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | std::function< int(std::string const &)> const & | dirToIdFunc )
| inline

constructor

## Member Data Documentation

## ◆ m_compObjIdName

std::shared_ptr<WPSOLEParserInternal::CompObj> WPSOLEParserInternal::State::m_compObjIdName

a smart ptr used to stored the list of compobj id->name

## ◆ m_directoryToIdFunction

std::function<int(std::string const &)> WPSOLEParserInternal::State::m_directoryToIdFunction

the function used to convert a directory name in a id

## ◆ m_fontType

libwps_tools_win::Font::Type WPSOLEParserInternal::State::m_fontType

the default font type

## ◆ m_idToObjectMap

std::map<int, WPSEmbeddedObject> WPSOLEParserInternal::State::m_idToObjectMap

map id to object

## ◆ m_metaData

librevenge::RVNGPropertyList WPSOLEParserInternal::State::m_metaData

the meta data

## ◆ m_unknownOLEs

std::vector<std::string> WPSOLEParserInternal::State::m_unknownOLEs

list of ole which can not be parsed

The documentation for this struct was generated from the following file:

- WPSOLEParser.cpp